<?xml version="1.0" encoding="utf-8"?>
<xbrl
  xmlns="http://www.xbrl.org/2003/instance"
  xmlns:dei="http://xbrl.sec.gov/dei/2019-01-31"
  xmlns:link="http://www.xbrl.org/2003/linkbase"
  xmlns:xlink="http://www.w3.org/1999/xlink">
    <link:schemaRef xlink:href="colm-20200710.xsd" xlink:type="simple"/>
    <context id="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710">
        <entity>
            <identifier scheme="http://www.sec.gov/CIK">0001050797</identifier>
        </entity>
        <period>
            <startDate>2020-07-10</startDate>
            <endDate>2020-07-10</endDate>
        </period>
    </context>
    <dei:EntityCentralIndexKey
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV80L2ZyYWc6N2Y1ZDBjOWYwMjNiNGE2M2EzMTQxZmIyZTExYzljNTgvdGFibGU6NzAxMWRmMTkzOTNjNGE3MGI2NGNjYzc3NTQ4YTQzMWIvdGFibGVyYW5nZTo3MDExZGYxOTM5M2M0YTcwYjY0Y2NjNzc1NDhhNDMxYl8yLTEtMS0xLTA_041a1809-7153-4649-a0d8-c0562ff2d829">0001050797</dei:EntityCentralIndexKey>
    <dei:AmendmentFlag
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV80L2ZyYWc6N2Y1ZDBjOWYwMjNiNGE2M2EzMTQxZmIyZTExYzljNTgvdGFibGU6NzAxMWRmMTkzOTNjNGE3MGI2NGNjYzc3NTQ4YTQzMWIvdGFibGVyYW5nZTo3MDExZGYxOTM5M2M0YTcwYjY0Y2NjNzc1NDhhNDMxYl81LTEtMS0xLTA_a5f9de84-d4d6-4b1e-802b-5d856c7931b6">false</dei:AmendmentFlag>
    <dei:DocumentType
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGV4dHJlZ2lvbjo4MWNiYjFjNGMzZmM0Y2ZhYTcwNWIzYTM0YjQzMDg1YV84OQ_2c89f0ca-8032-4136-96ee-f3d30a3200e3">8-K</dei:DocumentType>
    <dei:DocumentPeriodEndDate
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGV4dHJlZ2lvbjo4MWNiYjFjNGMzZmM0Y2ZhYTcwNWIzYTM0YjQzMDg1YV8yMzc_4558fbf0-5006-4c6e-bf45-d00a5a95f2e5">2020-07-10</dei:DocumentPeriodEndDate>
    <dei:EntityRegistrantName
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGV4dHJlZ2lvbjo4MWNiYjFjNGMzZmM0Y2ZhYTcwNWIzYTM0YjQzMDg1YV8yNDI_82deb86c-94bb-4c12-a7ff-6b163b1cf50e">COLUMBIA SPORTSWEAR COMPANY</dei:EntityRegistrantName>
    <dei:EntityIncorporationStateCountryCode
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGFibGU6ZjZhOTYyYzY3NzZhNGRkZWJjOTdjOGE1NmZmMWVmMmQvdGFibGVyYW5nZTpmNmE5NjJjNjc3NmE0ZGRlYmM5N2M4YTU2ZmYxZWYyZF8wLTAtMS0xLTA_0974bbbc-2395-43aa-a132-574699b38ba2">OR</dei:EntityIncorporationStateCountryCode>
    <dei:EntityFileNumber
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGFibGU6ZjZhOTYyYzY3NzZhNGRkZWJjOTdjOGE1NmZmMWVmMmQvdGFibGVyYW5nZTpmNmE5NjJjNjc3NmE0ZGRlYmM5N2M4YTU2ZmYxZWYyZF8wLTItMS0xLTA_686945e1-eed2-4b93-a8f5-f49cf3bb5fa2">000-23939</dei:EntityFileNumber>
    <dei:EntityTaxIdentificationNumber
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGFibGU6ZjZhOTYyYzY3NzZhNGRkZWJjOTdjOGE1NmZmMWVmMmQvdGFibGVyYW5nZTpmNmE5NjJjNjc3NmE0ZGRlYmM5N2M4YTU2ZmYxZWYyZF8wLTQtMS0xLTA_2c27d419-7cc1-4c24-8939-a2bfad53c081">93-0498284</dei:EntityTaxIdentificationNumber>
    <dei:EntityAddressAddressLine1
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGV4dHJlZ2lvbjo4MWNiYjFjNGMzZmM0Y2ZhYTcwNWIzYTM0YjQzMDg1YV8zMDc_31c3f88b-9587-4aef-ba25-3d1a5cce67a3">14375 Northwest Science Park Drive</dei:EntityAddressAddressLine1>
    <dei:EntityAddressCityOrTown
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGV4dHJlZ2lvbjo4MWNiYjFjNGMzZmM0Y2ZhYTcwNWIzYTM0YjQzMDg1YV8zMTE_7550e32b-475f-46a4-8fb6-62514ee97b45">Portland</dei:EntityAddressCityOrTown>
    <dei:EntityAddressStateOrProvince
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGV4dHJlZ2lvbjo4MWNiYjFjNGMzZmM0Y2ZhYTcwNWIzYTM0YjQzMDg1YV8zMTU_dcf1180f-0a79-4d54-a922-1fa1387219e1">OR</dei:EntityAddressStateOrProvince>
    <dei:EntityAddressPostalZipCode
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGV4dHJlZ2lvbjo4MWNiYjFjNGMzZmM0Y2ZhYTcwNWIzYTM0YjQzMDg1YV8zMTg_7d024f2f-10f1-40d0-8558-6ed220158c09">97229</dei:EntityAddressPostalZipCode>
    <dei:CityAreaCode
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGV4dHJlZ2lvbjo4MWNiYjFjNGMzZmM0Y2ZhYTcwNWIzYTM0YjQzMDg1YV8zNzY_b0151c31-2da5-4281-ac36-2678b9425770">503</dei:CityAreaCode>
    <dei:LocalPhoneNumber
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGV4dHJlZ2lvbjo4MWNiYjFjNGMzZmM0Y2ZhYTcwNWIzYTM0YjQzMDg1YV8zODA_fa71f242-6405-46d7-8808-b72b30ea0dc0">985-4000</dei:LocalPhoneNumber>
    <dei:WrittenCommunications
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGV4dHJlZ2lvbjo4MWNiYjFjNGMzZmM0Y2ZhYTcwNWIzYTM0YjQzMDg1YV82ODc_af704f0b-ce3a-44eb-ba97-b14230faf912">false</dei:WrittenCommunications>
    <dei:SolicitingMaterial
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGV4dHJlZ2lvbjo4MWNiYjFjNGMzZmM0Y2ZhYTcwNWIzYTM0YjQzMDg1YV83Nzk_c4f9f549-4f2b-4364-85cd-5903a64318eb">false</dei:SolicitingMaterial>
    <dei:PreCommencementTenderOffer
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGV4dHJlZ2lvbjo4MWNiYjFjNGMzZmM0Y2ZhYTcwNWIzYTM0YjQzMDg1YV84NzI_abbf537d-6651-4a4f-9f99-4881273cb491">false</dei:PreCommencementTenderOffer>
    <dei:PreCommencementIssuerTenderOffer
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGV4dHJlZ2lvbjo4MWNiYjFjNGMzZmM0Y2ZhYTcwNWIzYTM0YjQzMDg1YV85ODE_aa0137e2-ee3f-4803-b54d-0997681fd21b">false</dei:PreCommencementIssuerTenderOffer>
    <dei:Security12bTitle
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGFibGU6MzE1ZmZjMGZkZjdkNDhhMzg3ZmVhMGY4OTM3MWZmNDUvdGFibGVyYW5nZTozMTVmZmMwZmRmN2Q0OGEzODdmZWEwZjg5MzcxZmY0NV8xLTAtMS0xLTA_1f57e7a4-20eb-4bca-ace5-2b6ff8a6af9b">Common stock</dei:Security12bTitle>
    <dei:TradingSymbol
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGFibGU6MzE1ZmZjMGZkZjdkNDhhMzg3ZmVhMGY4OTM3MWZmNDUvdGFibGVyYW5nZTozMTVmZmMwZmRmN2Q0OGEzODdmZWEwZjg5MzcxZmY0NV8xLTItMS0xLTA_46e5f889-6ee0-45b8-ae68-0ac16c37d5ba">COLM</dei:TradingSymbol>
    <dei:SecurityExchangeName
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGFibGU6MzE1ZmZjMGZkZjdkNDhhMzg3ZmVhMGY4OTM3MWZmNDUvdGFibGVyYW5nZTozMTVmZmMwZmRmN2Q0OGEzODdmZWEwZjg5MzcxZmY0NV8xLTQtMS0xLTA_c445a6ca-a5cb-4355-b07d-d11ce28022b9">NASDAQ</dei:SecurityExchangeName>
    <dei:EntityEmergingGrowthCompany
      contextRef="i2a7500e9a2134b1b91b2e2ac67e3c1dd_D20200710-20200710"
      id="id3VybDovL2RvY3MudjEvZG9jOjNjOGEyYTA5YWEwNzQ0NjBhMDUzMTdlZGQzNzdhODY5L3NlYzozYzhhMmEwOWFhMDc0NDYwYTA1MzE3ZWRkMzc3YTg2OV8xL2ZyYWc6ODFjYmIxYzRjM2ZjNGNmYWE3MDViM2EzNGI0MzA4NWEvdGV4dHJlZ2lvbjo4MWNiYjFjNGMzZmM0Y2ZhYTcwNWIzYTM0YjQzMDg1YV8xNDE2_71338348-ec94-4711-8aca-f85e91d61218">false</dei:EntityEmergingGrowthCompany>
</xbrl>
